# Visualization
TKNIS
NIS

# NIS_TriangulatedDrawer Class Reference

`#include <NIS_TriangulatedDrawer.hxx>`

Inheritance diagram for NIS_TriangulatedDrawer:

[legend]

## Public Member Functions

Standard_EXPORT | NIS_TriangulatedDrawer (const Quantity_Color theNormal, const Quantity_Color theHilight=Quantity_NOC_GRAY80, const Quantity_Color theDynHilight=Quantity_NOC_CYAN1)
virtual Standard_EXPORT void | Assign (const Handle_NIS_Drawer &theOther)
virtual Standard_EXPORT void | BeforeDraw (const DrawType theType, const NIS_DrawList &theDrawList)
virtual Standard_EXPORT void | AfterDraw (const DrawType theType, const NIS_DrawList &theDrawList)
virtual Standard_EXPORT void | Draw (const Handle_NIS_InteractiveObject &, const DrawType theType, const NIS_DrawList &theDrawList)
virtual Standard_EXPORT Standard_Boolean | IsEqual (const Handle_NIS_Drawer &theOth) const

## Private Attributes

Quantity_Color | myColor [4]
Standard_ShortReal | myLineWidth
Standard_Boolean | myIsDrawPolygons

## Detailed Description

Drawer for interactive object type NIS_Triangulated.

## Constructor & Destructor Documentation

Standard_EXPORT NIS_TriangulatedDrawer::NIS_TriangulatedDrawer | ( | const Quantity_Color | theNormal,
|  | const Quantity_Color | theHilight = `Quantity_NOC_GRAY80`,
|  | const Quantity_Color | theDynHilight = `Quantity_NOC_CYAN1`
| ) |

| Constructor.

## Member Function Documentation

virtual Standard_EXPORT void NIS_TriangulatedDrawer::AfterDraw | ( | const DrawType | theType,
|  | const NIS_DrawList & | theDrawList
| ) | `[virtual]`

| Called after execution of Draw(), once per group of interactive objects. Reimplemented from NIS_Drawer< A >.

virtual Standard_EXPORT void NIS_TriangulatedDrawer::Assign | ( | const Handle_NIS_Drawer & | theOther | ) | `[virtual]`

| Copy the relevant information from another instance of Drawer. raises exception if theOther has incompatible type (test IsKind). Reimplemented from NIS_Drawer< A >.

virtual Standard_EXPORT void NIS_TriangulatedDrawer::BeforeDraw | ( | const DrawType | theType,
|  | const NIS_DrawList & | theDrawList
| ) | `[virtual]`

| Called before execution of Draw(), once per group of interactive objects. Reimplemented from NIS_Drawer< A >.

virtual Standard_EXPORT void NIS_TriangulatedDrawer::Draw | ( | const Handle_NIS_InteractiveObject & | ,
|  | const DrawType | theType,
|  | const NIS_DrawList & | theDrawList
| ) | `[virtual]`

| Main function: display the given interactive object in the given view. Implements NIS_Drawer< A >.

virtual Standard_EXPORT Standard_Boolean NIS_TriangulatedDrawer::IsEqual | ( | const Handle_NIS_Drawer & | theOth | ) | const`[virtual]`

| Matching two instances, for Map interface. Reimplemented from NIS_Drawer< A >.

## Field Documentation

Quantity_Color NIS_TriangulatedDrawer::myColor[4]`[private]`

Standard_Boolean NIS_TriangulatedDrawer::myIsDrawPolygons `[private]`

Standard_ShortReal NIS_TriangulatedDrawer::myLineWidth `[private]`

The documentation for this class was generated from the following file:

- NIS_TriangulatedDrawer.hxx